ossl_x509revoked.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros

#define | WrapX509Rev(klass, obj, rev)
#define | GetX509Rev(obj, rev)
#define | SafeGetX509Rev(obj, rev)

## Functions

VALUE | ossl_x509revoked_new (X509_REVOKED *rev)
X509_REVOKED * | DupX509RevokedPtr (VALUE obj)
static VALUE | ossl_x509revoked_alloc (VALUE klass)
static VALUE | ossl_x509revoked_initialize (int argc, VALUE *argv, VALUE self)
static VALUE | ossl_x509revoked_get_serial (VALUE self)
static VALUE | ossl_x509revoked_set_serial (VALUE self, VALUE num)
static VALUE | ossl_x509revoked_get_time (VALUE self)
static VALUE | ossl_x509revoked_set_time (VALUE self, VALUE time)
static VALUE | ossl_x509revoked_get_extensions (VALUE self)
static VALUE | ossl_x509revoked_set_extensions (VALUE self, VALUE ary)
static VALUE | ossl_x509revoked_add_extension (VALUE self, VALUE ext)
void | Init_ossl_x509revoked ()

## Variables

VALUE | cX509Rev
VALUE | eX509RevError

## Macro Definition Documentation

#define GetX509Rev | ( |  | obj,
|  |  | rev
| ) |  |

Value:
do { \
Data_Get_Struct((obj), X509_REVOKED, (rev)); \
if (!(rev)) { \
ossl_raise(rb_eRuntimeError, "REV wasn't initialized!"); \
} \
} while (0)

Definition at line 19 of file ossl_x509revoked.c.

Referenced by ossl_x509revoked_add_extension(), ossl_x509revoked_get_extensions(), ossl_x509revoked_get_serial(), ossl_x509revoked_get_time(), ossl_x509revoked_set_extensions(), ossl_x509revoked_set_serial(), and ossl_x509revoked_set_time().

#define SafeGetX509Rev | ( |  | obj,
|  |  | rev
| ) |  |

Value:
do { \
OSSL_Check_Kind((obj), cX509Rev); \
GetX509Rev((obj), (rev)); \
} while (0)

Definition at line 25 of file ossl_x509revoked.c.

Referenced by DupX509RevokedPtr().

#define WrapX509Rev | ( |  | klass,
|  |  | obj,
|  |  | rev
| ) |  |

Value:
do { \
if (!(rev)) { \
ossl_raise(rb_eRuntimeError, "REV wasn't initialized!"); \
} \
(obj) = Data_Wrap_Struct((klass), 0, X509_REVOKED_free, (rev)); \
} while (0)

Definition at line 13 of file ossl_x509revoked.c.

Referenced by ossl_x509revoked_alloc(), and ossl_x509revoked_new().

## Function Documentation

X509_REVOKED* DupX509RevokedPtr | ( | VALUE | obj | ) |

Definition at line 59 of file ossl_x509revoked.c.

References eX509RevError, NULL, ossl_raise(), SafeGetX509Rev, and X509_REVOKED_dup.

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

void Init_ossl_x509revoked | ( | void |  | ) |

Definition at line 212 of file ossl_x509revoked.c.

References cX509Rev, eOSSLError, eX509RevError, mX509, ossl_x509revoked_add_extension(), ossl_x509revoked_alloc(), ossl_x509revoked_get_extensions(), ossl_x509revoked_get_serial(), ossl_x509revoked_get_time(), ossl_x509revoked_initialize(), ossl_x509revoked_set_extensions(), ossl_x509revoked_set_serial(), ossl_x509revoked_set_time(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), and rb_define_method().

Referenced by Init_ossl_x509().

static VALUE ossl_x509revoked_add_extension | ( | VALUE | self,
|  | VALUE | ext
| ) |  |

static

Definition at line 196 of file ossl_x509revoked.c.

References DupX509ExtPtr(), eX509RevError, GetX509Rev, NULL, and ossl_raise().

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_alloc | ( | VALUE | klass | ) |

static

Definition at line 75 of file ossl_x509revoked.c.

References eX509RevError, NULL, ossl_raise(), and WrapX509Rev.

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_get_extensions | ( | VALUE | self | ) |

static

Definition at line 144 of file ossl_x509revoked.c.

References count, GetX509Rev, i, OSSL_Debug, ossl_x509ext_new(), rb_ary_new(), rb_ary_new2(), and rb_ary_push().

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_get_serial | ( | VALUE | self | ) |

static

Definition at line 96 of file ossl_x509revoked.c.

References asn1integer_to_num(), and GetX509Rev.

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_get_time | ( | VALUE | self | ) |

static

Definition at line 117 of file ossl_x509revoked.c.

References asn1time_to_time(), and GetX509Rev.

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_initialize | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | self
| ) |  |

static

Definition at line 89 of file ossl_x509revoked.c.

Referenced by Init_ossl_x509revoked().

VALUE ossl_x509revoked_new | ( | X509_REVOKED * | rev | ) |

Definition at line 40 of file ossl_x509revoked.c.

References cX509Rev, eX509RevError, NULL, ossl_raise(), WrapX509Rev, and X509_REVOKED_dup.

Referenced by ossl_x509crl_get_revoked().

static VALUE ossl_x509revoked_set_extensions | ( | VALUE | self,
|  | VALUE | ary
| ) |  |

static

Definition at line 170 of file ossl_x509revoked.c.

References Check_Type, cX509Ext, DupX509ExtPtr(), eX509RevError, GetX509Rev, i, NULL, OSSL_Check_Kind, ossl_raise(), RARRAY_LEN, RARRAY_PTR, and T_ARRAY.

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_set_serial | ( | VALUE | self,
|  | VALUE | num
| ) |  |

static

Definition at line 106 of file ossl_x509revoked.c.

References GetX509Rev, and num_to_asn1integer().

Referenced by Init_ossl_x509revoked().

static VALUE ossl_x509revoked_set_time | ( | VALUE | self,
|  | VALUE | time
| ) |  |

static

Definition at line 127 of file ossl_x509revoked.c.

References eX509RevError, GetX509Rev, NULL, ossl_raise(), time_t, and time_to_time_t().

Referenced by Init_ossl_x509revoked().

## Variable Documentation

VALUE cX509Rev

Definition at line 33 of file ossl_x509revoked.c.

Referenced by Init_ossl_x509revoked(), ossl_x509crl_set_revoked(), and ossl_x509revoked_new().

VALUE eX509RevError

Definition at line 34 of file ossl_x509revoked.c.

Referenced by DupX509RevokedPtr(), Init_ossl_x509revoked(), ossl_x509revoked_add_extension(), ossl_x509revoked_alloc(), ossl_x509revoked_new(), ossl_x509revoked_set_extensions(), and ossl_x509revoked_set_time().